"""
 Module contains the CurrentLaw class
"""

import pandas as pd

class CurrentLaw:
    """
    A set of macro and budget projections representing current law
    
    Attributes:
        name: A string representing the name of the scenario
        econ: A pandas DataFrame containing the economic projections under current law
        budget: A pandas DataFrame containing the budget projections under current law
            Note: These are not used in the model
        FDIC_vars: A pandas DataFrame containing FDIC-related variables under current law
    
    Methods:
        __init__()
    """
    
    def __init__(self, name, input_file_prefix):
        self.name = name
        
        input_path = '..\\input_data\\baseline_2019_05\\'        
        file_path = input_path + input_file_prefix        
        
        self.econ = pd.read_csv(file_path + "_econ.csv", index_col = 'Year')
        self.budget = pd.read_csv(file_path + "_budget.csv", index_col = 'Year')
        self.FDIC_vars = pd.read_csv(file_path + "_FDIC_vars.csv", index_col = 'Year')  

